From c47e16459c6fc7dbd3d2c9a318749095c756a305 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 15 Oct 2020 15:53:26 -0400
Subject: [PATCH 05/13] gnu: python-nbxmpp: Upgrade to 1.0.2 and revise
 definition accordingly.

* gnu/packages/messaging.scm (python-nbxmpp) [version]: Update to
1.0.2.
[source]<origin>[sha256]: Modify base32.
[arguments]<#:tests?>: Remove argument.
[native-inputs]: Add glib:bin and python-setuptools.
[inputs]: Add glib, glib-networking, libsoup, python-idna,
python-precis-i18n and python-pygobject.
---
 gnu/packages/messaging.scm | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index 8673ef7daa..04de0123a7 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -701,17 +701,25 @@ simultaneously and therefore appear under the same nickname on IRC.")
 (define-public python-nbxmpp
   (package
     (name "python-nbxmpp")
-    (version "0.6.10")
+    (version "1.0.2")
     (source
      (origin
        (method url-fetch)
        (uri
         (pypi-uri "nbxmpp" version))
        (sha256
-        (base32 "1vq89nhamciblyi5579bppnm4sb0zk5cg5hdipfpz174fxvl2wyd"))))
+        (base32 "0vw5drr077w9ks4crnw6pwa4735ycyjdcm54knc3w4in4x5027wr"))))
     (build-system python-build-system)
-    (arguments
-     `(#:tests? #f))                    ; no tests
+    (native-inputs
+     `(("glib:bin" ,glib "bin")
+       ("python-setuptools" ,python-setuptools)))
+    (inputs
+     `(("glib" ,glib)
+       ("glib-networking" ,glib-networking)
+       ("libsoup" ,libsoup)
+       ("python-idna" ,python-idna)
+       ("python-precis-i18n" ,python-precis-i18n)
+       ("python-pygobject" ,python-pygobject)))
     (synopsis "Non-blocking Jabber/XMPP module")
     (description "The goal of this python library is to provide a way for Python
 applications to use Jabber/XMPP networks in a non-blocking way.  This library
-- 
2.28.0

